package cz.vsb.jezek.tetris;

import java.awt.BorderLayout;
import java.awt.EventQueue;
import java.io.IOException;

import javax.sound.sampled.AudioInputStream;
import javax.sound.sampled.AudioSystem;
import javax.sound.sampled.Clip;
import javax.sound.sampled.LineUnavailableException;
import javax.sound.sampled.UnsupportedAudioFileException;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;

/** 
*
* @author  David Jezek
* @version 
*/
public class TetrisWindow extends JFrame {

	private JPanel contentPane;
	private TetrisPanel tetrisPanel;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					TetrisWindow frame = new TetrisWindow();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public TetrisWindow() {
		initComponents();
		pack();
	}
	private void initComponents() {
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 285, 440);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		contentPane.setLayout(new BorderLayout(0, 0));
		setContentPane(contentPane);
		contentPane.add(getTetrisPanel(), BorderLayout.CENTER);
	}

	private TetrisPanel getTetrisPanel() {
		if (tetrisPanel == null) {
			tetrisPanel = new TetrisPanel();
		}
		return tetrisPanel;
	}
}
