package cz.vsb.jezek.tetris;
/*
 * GameListener.java
 *
 * Created on 12. z��� 2000, 18:22
 */

import java.awt.*;


/** 
 *
 * @author  David Jezek
 * @version 
 */
public interface GameListener {

  public void fallBlockChanged(Block k, int x, int y, Rectangle prev);
  public void linesDeleted(int[][] area);
  public void fallBlockWeld(Block k, int x, int y);
  public void startGame();
  public void endGame();
  public void pauseGame();
  public void resumeGame();
  public void setModel(TetrisModel tm);
}
